petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetLocalToGlobalVecScatter

Sets a VecScatter context for local to global communication

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToGlobalVecScatter(DM dm, VecScatter ltog)

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| ltog | - the local to global VecScatter context

### See Also

DMShellSetLocalToGlobal(), DMLocalToGlobalBeginDefaultShell(), DMLocalToGlobalEndDefaultShell()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages